## libkqoauth 0.94.0-1

=== debian/changelog ===
libkqoauth (0.94.0-1) unstable; urgency=low

  * Fixed linking problem and optify package.
  * Name changed to libkqoauth

 -- Marko Mattila <marko.mattila@d-pointer.com>  Mon,  7 Feb 2011 21:48:41 -0400

kqoauth (0.94.0) unstable; urgency=low

  * Initial debian packaging for Maemo 5.
    It's not yet optified. 

 -- Marko Mattila <marko.mattila@d-pointer.com>  Sun, 30 Jan 2011 00:33:22 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := libkqoauth
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake PREFIX=/usr/lib ../src/src.pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME)
	echo "Current dir $(PWD)"
	cp lib/*.so* $(CURDIR)/debian/$(APPNAME)/usr/lib
	cp include/* $(CURDIR)/debian/$(APPNAME)-dev/usr/include
	cp src/kqoauthmanager.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include	
	cp src/kqoauthrequest.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include 
	cp src/kqoauthrequest_1.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include
	cp src/kqoauthrequest_xauth.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include
	cp src/kqoauthglobals.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include
	cp src/kqoauth.pc $(CURDIR)/debian/$(APPNAME)/usr/lib/pkgconfig
	cp kqoauth.prf $(CURDIR)/debian/$(APPNAME)-dev/usr/share/qt4/mkspecs/features
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libkqoauth 0.94.0-2

=== Makefile ===
#############################################################################
# Makefile for building: kqoauth
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Feb 6 21:05:39 2011
# Project:  kqoauth.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile kqoauth.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src \
		sub-examples \
		sub-tests

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marko/kqoauth-1.0.0/src/src.pro -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marko/kqoauth-1.0.0/src/src.pro -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
examples/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) examples/ || $(MKDIR) examples/ 
	cd examples/ && $(QMAKE) /home/marko/kqoauth-1.0.0/examples/examples.pro -o $(MAKEFILE)
sub-examples-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) examples/ || $(MKDIR) examples/ 
	cd examples/ && $(QMAKE) /home/marko/kqoauth-1.0.0/examples/examples.pro -o $(MAKEFILE)
sub-examples: examples/$(MAKEFILE) FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE)
sub-examples-make_default-ordered: examples/$(MAKEFILE) sub-src-make_default-ordered  FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) 
sub-examples-make_default: examples/$(MAKEFILE) FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) 
sub-examples-make_first-ordered: examples/$(MAKEFILE) sub-src-make_first-ordered  FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) first
sub-examples-make_first: examples/$(MAKEFILE) FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) first
sub-examples-all-ordered: examples/$(MAKEFILE) sub-src-all-ordered  FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) all
sub-examples-all: examples/$(MAKEFILE) FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) all
sub-examples-clean-ordered: examples/$(MAKEFILE) sub-src-clean-ordered  FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) clean
sub-examples-clean: examples/$(MAKEFILE) FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) clean
sub-examples-distclean-ordered: examples/$(MAKEFILE) sub-src-distclean-ordered  FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) distclean
sub-examples-distclean: examples/$(MAKEFILE) FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) distclean
sub-examples-install_subtargets-ordered: examples/$(MAKEFILE) sub-src-install_subtargets-ordered  FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) install
sub-examples-install_subtargets: examples/$(MAKEFILE) FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) install
sub-examples-uninstall_subtargets-ordered: examples/$(MAKEFILE) sub-src-uninstall_subtargets-ordered  FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-examples-uninstall_subtargets: examples/$(MAKEFILE) FORCE
	cd examples/ && $(MAKE) -f $(MAKEFILE) uninstall
tests/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) tests/ || $(MKDIR) tests/ 
	cd tests/ && $(QMAKE) /home/marko/kqoauth-1.0.0/tests/tests.pro -o $(MAKEFILE)
sub-tests-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) tests/ || $(MKDIR) tests/ 
	cd tests/ && $(QMAKE) /home/marko/kqoauth-1.0.0/tests/tests.pro -o $(MAKEFILE)
sub-tests: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE)
sub-tests-make_default-ordered: tests/$(MAKEFILE) sub-examples-make_default-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) 
sub-tests-make_default: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) 
sub-tests-make_first-ordered: tests/$(MAKEFILE) sub-examples-make_first-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) first
sub-tests-make_first: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) first
sub-tests-all-ordered: tests/$(MAKEFILE) sub-examples-all-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) all
sub-tests-all: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) all
sub-tests-clean-ordered: tests/$(MAKEFILE) sub-examples-clean-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) clean
sub-tests-clean: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) clean
sub-tests-distclean-ordered: tests/$(MAKEFILE) sub-examples-distclean-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) distclean
sub-tests-distclean: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) distclean
sub-tests-install_subtargets-ordered: tests/$(MAKEFILE) sub-examples-install_subtargets-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) install
sub-tests-install_subtargets: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) install
sub-tests-uninstall_subtargets-ordered: tests/$(MAKEFILE) sub-examples-uninstall_subtargets-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-tests-uninstall_subtargets: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: kqoauth.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile kqoauth.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile kqoauth.pro

qmake_all: sub-src-qmake_all sub-examples-qmake_all sub-tests-qmake_all FORCE

make_default: sub-src-make_default-ordered sub-examples-make_default-ordered sub-tests-make_default-ordered FORCE
make_first: sub-src-make_first-ordered sub-examples-make_first-ordered sub-tests-make_first-ordered FORCE
all: sub-src-all-ordered sub-examples-all-ordered sub-tests-all-ordered FORCE
clean: sub-src-clean-ordered sub-examples-clean-ordered sub-tests-clean-ordered FORCE
distclean: sub-src-distclean-ordered sub-examples-distclean-ordered sub-tests-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets-ordered sub-examples-install_subtargets-ordered sub-tests-install_subtargets-ordered FORCE
uninstall_subtargets: sub-src-uninstall_subtargets-ordered sub-examples-uninstall_subtargets-ordered sub-tests-uninstall_subtargets-ordered FORCE

sub-src-check_ordered: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
sub-examples-check_ordered: examples/$(MAKEFILE) sub-src-check_ordered 
	cd examples/ && $(MAKE) check
sub-tests-check_ordered: tests/$(MAKEFILE) sub-examples-check_ordered 
	cd tests/ && $(MAKE) check
check: sub-src-check_ordered sub-examples-check_ordered sub-tests-check_ordered

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== tests/Makefile ===
#############################################################################
# Makefile for building: tests
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Feb 6 21:05:41 2011
# Project:  tests.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile tests.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-ut_kqoauth \
		sub-ft_kqoauth

ut_kqoauth/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ut_kqoauth/ || $(MKDIR) ut_kqoauth/ 
	cd ut_kqoauth/ && $(QMAKE) /home/marko/kqoauth-1.0.0/tests/ut_kqoauth/ut_kqoauth.pro -o $(MAKEFILE)
sub-ut_kqoauth-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ut_kqoauth/ || $(MKDIR) ut_kqoauth/ 
	cd ut_kqoauth/ && $(QMAKE) /home/marko/kqoauth-1.0.0/tests/ut_kqoauth/ut_kqoauth.pro -o $(MAKEFILE)
sub-ut_kqoauth: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE)
sub-ut_kqoauth-make_default: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) 
sub-ut_kqoauth-make_first: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) first
sub-ut_kqoauth-all: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) all
sub-ut_kqoauth-clean: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) clean
sub-ut_kqoauth-distclean: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) distclean
sub-ut_kqoauth-install_subtargets: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) install
sub-ut_kqoauth-uninstall_subtargets: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) uninstall
ft_kqoauth/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ft_kqoauth/ || $(MKDIR) ft_kqoauth/ 
	cd ft_kqoauth/ && $(QMAKE) /home/marko/kqoauth-1.0.0/tests/ft_kqoauth/ft_kqoauth.pro -o $(MAKEFILE)
sub-ft_kqoauth-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ft_kqoauth/ || $(MKDIR) ft_kqoauth/ 
	cd ft_kqoauth/ && $(QMAKE) /home/marko/kqoauth-1.0.0/tests/ft_kqoauth/ft_kqoauth.pro -o $(MAKEFILE)
sub-ft_kqoauth: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE)
sub-ft_kqoauth-make_default: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) 
sub-ft_kqoauth-make_first: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) first
sub-ft_kqoauth-all: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) all
sub-ft_kqoauth-clean: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) clean
sub-ft_kqoauth-distclean: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) distclean
sub-ft_kqoauth-install_subtargets: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) install
sub-ft_kqoauth-uninstall_subtargets: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: tests.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile tests.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile tests.pro

qmake_all: sub-ut_kqoauth-qmake_all sub-ft_kqoauth-qmake_all FORCE

make_default: sub-ut_kqoauth-make_default sub-ft_kqoauth-make_default FORCE
make_first: sub-ut_kqoauth-make_first sub-ft_kqoauth-make_first FORCE
all: sub-ut_kqoauth-all sub-ft_kqoauth-all FORCE
clean: sub-ut_kqoauth-clean sub-ft_kqoauth-clean FORCE
distclean: sub-ut_kqoauth-distclean sub-ft_kqoauth-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-ut_kqoauth-install_subtargets sub-ft_kqoauth-install_subtargets FORCE
uninstall_subtargets: sub-ut_kqoauth-uninstall_subtargets sub-ft_kqoauth-uninstall_subtargets FORCE

sub-ut_kqoauth-check: ut_kqoauth/$(MAKEFILE)
	cd ut_kqoauth/ && $(MAKE) check
sub-ft_kqoauth-check: ft_kqoauth/$(MAKEFILE)
	cd ft_kqoauth/ && $(MAKE) check
check: sub-ut_kqoauth-check sub-ft_kqoauth-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== tests/ut_kqoauth/Makefile ===
#############################################################################
# Makefile for building: ut_kqoauth
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Feb 6 22:49:50 2011
# Project:  ut_kqoauth.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile ut_kqoauth.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DUNIT_TEST -DQT_NO_DEBUG -DQT_TESTLIB_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtTest -I/targets/FREMANTLE_ARMEL/usr/include -I. -I../../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath,../../lib:lib -lkqoauth -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtTest -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ut_kqoauth.cpp moc_ut_kqoauth.cpp
OBJECTS       = ut_kqoauth.o \
		moc_ut_kqoauth.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		ut_kqoauth.pro
QMAKE_TARGET  = ut_kqoauth
DESTDIR       = 
TARGET        = ut_kqoauth

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ut_kqoauth.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libkqoauth.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtTest.prl
	$(QMAKE) -o Makefile ut_kqoauth.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libkqoauth.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtTest.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile ut_kqoauth.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/ut_kqoauth1.0.0 || $(MKDIR) .tmp/ut_kqoauth1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/ut_kqoauth1.0.0/ && $(COPY_FILE) --parents ut_kqoauth.h .tmp/ut_kqoauth1.0.0/ && $(COPY_FILE) --parents ut_kqoauth.cpp .tmp/ut_kqoauth1.0.0/ && (cd `dirname .tmp/ut_kqoauth1.0.0` && $(TAR) ut_kqoauth1.0.0.tar ut_kqoauth1.0.0 && $(COMPRESS) ut_kqoauth1.0.0.tar) && $(MOVE) `dirname .tmp/ut_kqoauth1.0.0`/ut_kqoauth1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/ut_kqoauth1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_ut_kqoauth.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_ut_kqoauth.cpp
moc_ut_kqoauth.cpp: ut_kqoauth.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ut_kqoauth.h -o moc_ut_kqoauth.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

ut_kqoauth.o: ut_kqoauth.cpp ut_kqoauth.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ut_kqoauth.o ut_kqoauth.cpp

moc_ut_kqoauth.o: moc_ut_kqoauth.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ut_kqoauth.o moc_ut_kqoauth.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
libkqoauth (0.94.0-2) unstable; urgency=low

  * More fixes to rules file.

 -- Marko Mattila <marko.mattila@d-pointer.com>  Mon,  11 Feb 2011 00:41:41 -0400

## libkqoauth 0.95.0

=== debian/changelog ===
libkqoauth (0.95.0) unstable; urgency=low

  * Fixed bug: Omitting additional parameters given to the request in the HTTP header.
  * Added functional test for sending really long POST requests.

 -- Johan Paul <johan.paul@d-pointer.com>  Tue,  16 Mar 2011 14:34:41 +0200

=== debian/control ===
Source: libkqoauth
Section: libs
Priority: extra
Maintainer: Marko Mattila <marko.a.mattila@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-maemo5, libqt4-gui, libqt4-network
Standards-Version: 3.7.2

Package: libkqoauth
Architecture: any
Depends: libqt4-network
Description: kQOAuth is Qt based OAuth library
 kQOAuth is Qt based OAuth library which be used for authentication to services supporting OAuth.

Package: libkqoauth-dev
Section: libdevel
Architecture: any
Depends: libkqoauth (= ${Source-Version})
Description: Development package of kQOAuth
 Headers for kQOAuth development.

=== debian/rules ===
--- 
+++ 
@@ -46,14 +46,14 @@
 	# Add here commands to install the package into debian/arora.
 	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME)
 	echo "Current dir $(PWD)"
-	cp lib/*.so* $(CURDIR)/debian/$(APPNAME)/usr/lib
+	cp -l lib/*.so* $(CURDIR)/debian/$(APPNAME)/usr/lib
 	cp include/* $(CURDIR)/debian/$(APPNAME)-dev/usr/include
 	cp src/kqoauthmanager.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include	
 	cp src/kqoauthrequest.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include 
 	cp src/kqoauthrequest_1.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include
 	cp src/kqoauthrequest_xauth.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include
 	cp src/kqoauthglobals.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include
-	cp src/kqoauth.pc $(CURDIR)/debian/$(APPNAME)/usr/lib/pkgconfig
+	cp src/kqoauth.pc $(CURDIR)/debian/$(APPNAME)-dev/usr/lib/pkgconfig
 	cp kqoauth.prf $(CURDIR)/debian/$(APPNAME)-dev/usr/share/qt4/mkspecs/features

## libkqoauth 0.96.0

=== debian/changelog ===
libkqoauth (0.96.0) unstable; urgency=low
   * Added support for sending arbitrary data in KQOAuthRequests in any POST form
   Methods added: KQOAuthRequest::setContentType(...)
                  KQOAuthRequest::contentType()
                  KQOAuthRequest::setRawData(...)
                  KQOAuthRequest::rawData()
  * Bug fix: Not overriding user set query parameters for the user authorization endpoint, but instead appending the oauth_token to the user given URL. 

 -- Johan Paul <johan.paul@d-pointer.com>  Sat, 8 May 2011 14:34:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,8 @@
 Section: libs
 Priority: extra
 Maintainer: Marko Mattila <marko.a.mattila@gmail.com>
+XSBC-Original-Maintainer: Johan Paul <johan.paul@d-pointer.com>
+XSBC-Bugtracker: mailto:johan.paul@d-pointer.com
 Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-maemo5, libqt4-gui, libqt4-network
 Standards-Version: 3.7.2
